from django.conf import settings
from django.conf.urls.static import static
from django.urls import path
from .views import *

urlpatterns = [
    path('', IndexView.as_view(), name='index'),
    path('register/', RegisterView.as_view(), name='register'),
    path('login/', LoginView.as_view(), name='login'),
    path('logout/', BBLogoutView.as_view(), name='logout'),
    path('profile/', ProfileBasket.as_view(), name='profile'),
    path('basket_add/<int:product_id>/', add_to_basket, name='basket_add'),
    path('service/', ProductsAllView.as_view(), name='all_products'),
    path('service/<int:pk>', ProductDetail.as_view(), name='product_detail'),
    path("search_result/", SearchResultsView.as_view(), name="search_results"),
]

urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)